<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HumanAnimInterface Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d2d/class_human_anim_interface.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">HumanAnimInterface Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a3141ae018d487e08c9db28381acc50d9"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d2d/class_human_anim_interface.html#a3141ae018d487e08c9db28381acc50d9">HumanAnimInterface</a> ()</td></tr>
<tr class="separator:a3141ae018d487e08c9db28381acc50d9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6ecd080ed04fdad04d662db9305bb926"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d2d/class_human_anim_interface.html#a6ecd080ed04fdad04d662db9305bb926">~HumanAnimInterface</a> ()</td></tr>
<tr class="separator:a6ecd080ed04fdad04d662db9305bb926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7a5e79f693af944eda6ec1dbe255ff8"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/d9e/human_8c.html#ac8ee7172dfbc71d2bf4b46bb54d3e6de">TAnimGraphCommand</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d2d/class_human_anim_interface.html#ae7a5e79f693af944eda6ec1dbe255ff8">BindCommand</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pCommandName)</td></tr>
<tr class="memdesc:ae7a5e79f693af944eda6ec1dbe255ff8"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns command index - <br  />
  <a href="../../de/d2d/class_human_anim_interface.html#ae7a5e79f693af944eda6ec1dbe255ff8">More...</a><br /></td></tr>
<tr class="separator:ae7a5e79f693af944eda6ec1dbe255ff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2115147359eed4e7e6c873f433de8f3"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/d9e/human_8c.html#a07b0f6aa2f618d217893f74ea864a174">TAnimGraphVariable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d2d/class_human_anim_interface.html#ad2115147359eed4e7e6c873f433de8f3">BindVariableFloat</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pVariable)</td></tr>
<tr class="separator:ad2115147359eed4e7e6c873f433de8f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac59e3077d5d8d98798d93726ba7134ef"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/d9e/human_8c.html#a07b0f6aa2f618d217893f74ea864a174">TAnimGraphVariable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d2d/class_human_anim_interface.html#ac59e3077d5d8d98798d93726ba7134ef">BindVariableInt</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pVariable)</td></tr>
<tr class="separator:ac59e3077d5d8d98798d93726ba7134ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff531db189a7d7417a549e27b8ffbb0d"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/d9e/human_8c.html#a07b0f6aa2f618d217893f74ea864a174">TAnimGraphVariable</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d2d/class_human_anim_interface.html#aff531db189a7d7417a549e27b8ffbb0d">BindVariableBool</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pVariable)</td></tr>
<tr class="separator:aff531db189a7d7417a549e27b8ffbb0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cf16bc8a43e28780a10e0d15cecc995"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/d9e/human_8c.html#a7d9756f7b32f53d63ff4c7d403a5bd71">TAnimGraphTag</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d2d/class_human_anim_interface.html#a3cf16bc8a43e28780a10e0d15cecc995">BindTag</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pTagName)</td></tr>
<tr class="separator:a3cf16bc8a43e28780a10e0d15cecc995"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67e9cce39e770ab6fcd81cb651e3af92"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/d9e/human_8c.html#aee8da4733bfcda0e97f18f43ff0ec49f">TAnimGraphEvent</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/d2d/class_human_anim_interface.html#a67e9cce39e770ab6fcd81cb651e3af92">BindEvent</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> pEventName)</td></tr>
<tr class="separator:a67e9cce39e770ab6fcd81cb651e3af92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d4/d9e/human_8c_source.html#l00270">270</a> of file <a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a3141ae018d487e08c9db28381acc50d9" name="a3141ae018d487e08c9db28381acc50d9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3141ae018d487e08c9db28381acc50d9">&#9670;&#160;</a></span>HumanAnimInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void HumanAnimInterface::HumanAnimInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6ecd080ed04fdad04d662db9305bb926" name="a6ecd080ed04fdad04d662db9305bb926"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6ecd080ed04fdad04d662db9305bb926">&#9670;&#160;</a></span>~HumanAnimInterface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">private void HumanAnimInterface::~HumanAnimInterface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="ae7a5e79f693af944eda6ec1dbe255ff8" name="ae7a5e79f693af944eda6ec1dbe255ff8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae7a5e79f693af944eda6ec1dbe255ff8">&#9670;&#160;</a></span>BindCommand()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/d9e/human_8c.html#ac8ee7172dfbc71d2bf4b46bb54d3e6de">TAnimGraphCommand</a> HumanAnimInterface::BindCommand </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pCommandName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>returns command index - <br  />
 </p>

</div>
</div>
<a id="a67e9cce39e770ab6fcd81cb651e3af92" name="a67e9cce39e770ab6fcd81cb651e3af92"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67e9cce39e770ab6fcd81cb651e3af92">&#9670;&#160;</a></span>BindEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/d9e/human_8c.html#aee8da4733bfcda0e97f18f43ff0ec49f">TAnimGraphEvent</a> HumanAnimInterface::BindEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pEventName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3cf16bc8a43e28780a10e0d15cecc995" name="a3cf16bc8a43e28780a10e0d15cecc995"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3cf16bc8a43e28780a10e0d15cecc995">&#9670;&#160;</a></span>BindTag()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/d9e/human_8c.html#a7d9756f7b32f53d63ff4c7d403a5bd71">TAnimGraphTag</a> HumanAnimInterface::BindTag </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pTagName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aff531db189a7d7417a549e27b8ffbb0d" name="aff531db189a7d7417a549e27b8ffbb0d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aff531db189a7d7417a549e27b8ffbb0d">&#9670;&#160;</a></span>BindVariableBool()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/d9e/human_8c.html#a07b0f6aa2f618d217893f74ea864a174">TAnimGraphVariable</a> HumanAnimInterface::BindVariableBool </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pVariable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ad2115147359eed4e7e6c873f433de8f3" name="ad2115147359eed4e7e6c873f433de8f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2115147359eed4e7e6c873f433de8f3">&#9670;&#160;</a></span>BindVariableFloat()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/d9e/human_8c.html#a07b0f6aa2f618d217893f74ea864a174">TAnimGraphVariable</a> HumanAnimInterface::BindVariableFloat </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pVariable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac59e3077d5d8d98798d93726ba7134ef" name="ac59e3077d5d8d98798d93726ba7134ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac59e3077d5d8d98798d93726ba7134ef">&#9670;&#160;</a></span>BindVariableInt()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/d9e/human_8c.html#a07b0f6aa2f618d217893f74ea864a174">TAnimGraphVariable</a> HumanAnimInterface::BindVariableInt </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>pVariable</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d4/d9e/human_8c_source.html">human.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../de/d2d/class_human_anim_interface.html">HumanAnimInterface</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
